EDIT - feature request #3836

Implement modifiers and modifying text for Description Elements in TaxEditor

10/30/2013 02:35 PM - Andreas Muller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

but not for TextData as we expect that TextData will handle modifiers with its text.

see also #3746

Only the recommended modifiers should be shown for the given feature (Feature.recommendedModifierEnumeration)

Related issues:

Related to EDIT - feature request #3746: Implement time period scope for desc...
Related to EDIT - feature request #3747: Check if time period is handled corr...
Related to EDIT - feature request #8144: Check if modifiers and modifyingText...
Related to EDIT - feature request #8226: make modifiers for description eleme...
Related to EDIT - feature request #8236: [DISCUSS] Should recommended modifie...

Closed
Closed

In Progress
Closed
New

Associated revisions

Revision 7dc9bbbb - 03/14/2019 02:48 PM - Katja Luther

ref #3836: add modifier to description elements

Revision fe4a6e83 - 03/18/2019 11:07 AM - Katja Luther

ref #3836: add the modifier vocabulary to the combobox

Revision 77d90448 - 04/08/2019 03:18 PM - Katja Luther

ref #3836: add only recommended modifiers to modifier combo

Revision 5f352a56 - 04/09/2019 08:58 AM - Katja Luther

ref #3836: show modifier part only if recommended modifier voc exist

Revision aef87bc3 - 04/09/2019 12:13 PM - Katja Luther
ref #3836: minor

Revision 77658c00 - 04/09/2019 12:19 PM - Katja Luther
ref #3836: minor

Revision 7ca8076a - 04/11/2019 11:43 AM - Katja Luther

ref #3836: show always freetext modifier field

Revision 04f8f2b1 - 04/11/2019 01:45 PM - Katja Luther

ref #3836: fix modifier section for stateData/statistical measurement

History

#1 - 05/12/2018 07:33 PM - Andreas Miiller
- Description updated
- Assignee changed from Cherian Mathew to Katja Luther

- Target version changed from TaxEditor Next Major Release to Unassigned CDM tickets
#2 - 05/12/2018 07:37 PM - Andreas Miiller

- Private changed from Yes to No

#3 - 05/12/2018 07:37 PM - Andreas Miiller

- Related to feature request #3746: Implement time period scope for description elements in TaxEditor added

#4 - 05/12/2018 07:38 PM - Andreas Miiller

- Related to feature request #3747: Check if time period is handled correctly for description elements in data portals added

#5 - 02/25/2019 06:06 PM - Andreas Kohlbecker

- Subject changed from Implement modifiers and modifying text for Description Elements to Implement modifiers and modifying text for Description
Elements in TaxEditor

#6 - 02/25/2019 06:11 PM - Andreas Kohlbecker

- Related to feature request #8144: Check if modifiers and modifyingText is handled correctly for description elements in data portals added

#7 - 02/25/2019 10:01 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 5.6

As we have decided to check for old unimplemented model issues in this version | add it to current milestone. But we may discuss if this makes
sense.

#8 - 03/04/2019 11:35 AM - Katja Luther
- Priority changed from New to Priority14

#9 - 04/01/2019 11:21 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This is implemented now, please review

#10 - 04/03/2019 06:53 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

please do first review on nightly

#11 - 04/05/2019 08:45 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

Tested on nightly:

e Created a specimen description element and set modifier and Modifying text
¢ Closed and re-opened, re-connected and everything was stored correctly
e TextData like e.g. citation do not have modifiers

#12 - 04/08/2019 02:10 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Only the recommended modifiers should be shown for the given feature (Feature.recommendedModifierEnumeration) - sorry this requirement was
missing in the initial description.

Also for some reason when editing a feature in term editor currently it is not possible to edit the recommended modifiers. Patrick, is this maybe a
regression from additivity?

#13 - 04/08/2019 02:12 PM - Andreas Miiller

We may also discuss if the modifiers should only be shown if the recommended modifier enumeration is not empty.
Also we may want to make modifers configurable (show only if switched on) as some projects may consider them as not necessary.
But these might be issues of a new ticket.

#14 - 04/08/2019 02:51 PM - Katja Luther

Andreas Muller wrote:

Only the recommended modifiers should be shown for the given feature (Feature.recommendedModifierEnumeration) - sorry this requirement
was missing in the initial description.

Also for some reason when editing a feature in term editor currently it is not possible to edit the recommended modifiers. Patrick, is this maybe a

regression from additivity?

This is only possible for categorical data and quantitative data and for these the drop down is filled with the recommended modifiers, if no
recommended modifiers exist all modifiers from Vocabulary Modifier are loaded.

#15 - 04/08/2019 03:26 PM - Katja Luther
Andreas Milller wrote:
We may also discuss if the modifiers should only be shown if the recommended modifier enumeration is not empty.
Also we may want to make modifers configurable (show only if switched on) as some projects may consider them as not necessary.

But these might be issues of a new ticket.

created new ticket #8226

#16 - 04/08/2019 03:26 PM - Katja Luther

- Related to feature request #8226: make modifiers for description elements configurable added

#17 - 04/08/2019 03:28 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

for description elements only the recommended modifiers are shown. configurability is moved to a new ticket.

#18 - 04/08/2019 03:28 PM - Katja Luther
- % Done changed from 0 to 70

#19 - 04/08/2019 03:55 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

Katja Luther wrote:
Andreas Muller wrote:

Only the recommended modifiers should be shown for the given feature (Feature.recommendedModifierEnumeration) - sorry this
requirement was missing in the initial description.

Also for some reason when editing a feature in term editor currently it is not possible to edit the recommended modifiers. Patrick, is this
maybe a regression from additivity?

This is only possible for categorical data and quantitative data and for these the drop down is filled with the recommended modifiers, if no
recommended modifiers exist all modifiers from Vocabulary Modifier are loaded.

Hmm, this needs to be discussed. CategoricalData and QuantitativeData have extra modifiers in StateData and StatisticalMeasurmentValue. Maybe
therefore only they allow to define the recommended enumerations currently. However, for the DescriptionElements either all (except text data) or
none should evaluate the enumeration.

But definetely IF we evaluate the enumeration an empty list should be handled as NO modifier available and not as All modifiers. This is because
there are too many different modifier types which may not match at all.

Not sure how we handle this for this release now. We need to discuss if we need 2 different modifier enumerations for catergorical+quantitative data
or if we can use the same enumeration for both places.

As we havn't really time to discuss this until release | suggeset to hide the field until we have decided. Can you open a ticket to decide how to handle
the modifier enumerationsf3

#20 - 04/09/2019 12:13 PM - Katja Luther

now the modifier section is shown only if the feature has recommended modifier voc, so it is hided for all features it is not possible to add
recommended modifier vocabularies.

#21 - 04/10/2019 12:04 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#22 - 04/10/2019 03:41 PM - Andreas Miiller
- Related to feature request #8236: [DISCUSS] Should recommended modifiers also hold for DescriptionElements added

#23 - 04/10/2019 03:43 PM - Andreas Miiller

The discussion on recommended modifiers | moved to #8236.

#24 - 04/10/2019 03:45 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther
Katja Luther wrote:
now the modifier section is shown only if the feature has recommended modifier voc, so it is hided for all features it is not possible to add

recommended modifier vocabularies.

Only the structured modifiers may need to be hidden. The freetext modifier (modifying text) is vocabulary independent and therefore can always be
shown (except for configuration via preferences that it should not be shown for Ul simplification)

#25 - 04/11/2019 11:44 AM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
Andreas Muller wrote:
Katja Luther wrote:
now the modifier section is shown only if the feature has recommended modifier voc, so it is hided for all features it is not possible to add

recommended modifier vocabularies.

Only the structured modifiers may need to be hidden. The freetext modifier (modifying text) is vocabulary independent and therefore can always
be shown (except for configuration via preferences that it should not be shown for Ul simplification)

this is implemented now.

#26 - 11/19/2019 04:57 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 70 to 100

| think | tested this in the context of #8226 and | think it worked.
